/*------------------------------------   Includes   ---------------------------------------------*/
#include "gen_rnd.h"

#include <stdlib.h>
#include <time.h>
#include <assert.h>




/****************************************************************************************************/
// class cRnd_Number_Generator
/****************************************************************************************************/
cRnd_Number_Generator::cRnd_Number_Generator()
{

	srand(time(NULL));
}

/*--------------------------------------------------------------------------------------------------*/
int cRnd_Number_Generator::Get_Int(int n_max)
{
	assert( n_max > 0);	
	return rand()%(n_max+1);
}

/*--------------------------------------------------------------------------------------------------*/
int cRnd_Number_Generator::Get_Int(int n_min , int n_max)
{
	assert( n_min < n_max);
	assert( n_min >= 0);
	return n_min+rand()%(n_max-n_min+1);
}
