/***********************************************************************************/
// name     : mydebug.cpp
// desc     : implement the class mydebug of mydebug.h
// author   : adrien auclair eldeann@club-internet.fr
// creation : 26/09/2002
/***********************************************************************************/
/*------------------------------------   Includes   ---------------------------------------------*/
#include "mydebug.h"


#include <stdio.h>
#include <string>

using namespace std;


/***********************************************************************************/
Debugger::Debugger(const char * filename)   // param : name of the output file	
{	
	File_Name = new char[strlen(filename)+1];
	strcpy(File_Name , filename);
}





/***********************************************************************************/
Debugger& operator <<(Debugger& in , const char * text)
{
	FILE *file;

	file = fopen(in.File_Name,"a t");
	if(text!= NULL)
		fprintf(file,text);
	else
		fprintf(file,"NULL STRING");
	fclose(file);
	return in;
}


/***********************************************************************************/
Debugger& operator <<(Debugger& in , char c)
{
	FILE *file;

	file = fopen(in.File_Name,"a t");
	fprintf(file,"%c",c);
	fclose(file);
	return in;
}

/***********************************************************************************/
Debugger& operator<<(Debugger&  in, int integer)
{
FILE *file;
	file = fopen(in.File_Name,"a t");
	if(integer>=0 && integer <10)
		fprintf(file,"0%d",integer);
	else
		fprintf(file,"%d",integer);
	fclose(file);
	return in;
}

/***********************************************************************************/
Debugger& operator<<(Debugger&  in, unsigned int uinteger)
{
FILE *file;
	file = fopen(in.File_Name,"a t");
	if(uinteger <10)
		fprintf(file,"0%d",uinteger);
	else
		fprintf(file,"%d",uinteger);
	fclose(file);
	return in;
}

/***********************************************************************************/
Debugger& operator<<(Debugger&  in, DWORD dword)
{
FILE *file;
	file = fopen(in.File_Name,"a t");
	fprintf(file,"0%d",dword);	
	fclose(file);
	return in;
}


/***********************************************************************************/
Debugger& operator<<(Debugger&  in, float flottant)
{
FILE *file;
	file = fopen(in.File_Name,"a t");
	fprintf(file,"%f",flottant);
	fclose(file);
	return in;
}


/***********************************************************************************/
Debugger& operator<<(Debugger&  in, bool booleen)
{
	FILE *file;
	file = fopen(in.File_Name,"a t");
	if(booleen)
		fprintf(file,"true");
	else
		fprintf(file,"false");
	fclose(file);
	return in;
}

Debugger& operator<<(Debugger&  in, cPoint2D& p)
{
	FILE *file;
	file = fopen(in.File_Name,"a t");
	fprintf(file,"[%d,%d]",p.X,p.Y);		
	fclose(file);
	return in;
}

Debugger& operator<<(Debugger&  in, cSeg& seg)
{
	FILE *file;

	in << seg.Get_p0();
	
	file = fopen(in.File_Name,"a t");
	fprintf(file,"--->");		
	fclose(file);	

	in<< seg.Get_p1();	
	return in;	
}

Debugger& operator<<(Debugger&  in, std::string& str)
{
	FILE *file;
	file = fopen(in.File_Name,"a t");
	fprintf(file,"%s",str.c_str());		
	fclose(file);
	return in;
}
/***********************************************************************************/
/*
Debugger& operator<<(Debugger&  in, HRESULT hr)
{
	FILE *file;
	file = fopen(in.File_Name,"a t");
	fprintf(file,(char*)DXGetErrorDescription9(hr));	
	fclose(file);
	return in;
}*/


