#pragma warning(disable: 4786)
/*------------------------------------   Includes   ---------------------------------------------*/
#include "bonus.h"
#include "game_manager.h"



/****************************************************************************************************/
// class cInteractive_Item
/****************************************************************************************************/
cInteractive_Item::cInteractive_Item(int px, int py , cSprite_Display_Def *def, int r,Interactive_Item_Type t) 
{
	Px           = px;
	Py           = py;
	pDisplay_Def = def;
	Rayon        = r;
	Type         = t;
}

/*--------------------------------------------------------------------------------------------------*/
void cInteractive_Item::Display() 
{ 
	if(pDisplay_Def!=NULL) 
		pDisplay_Def->Display(Px-Rayon,Py-Rayon); 
}



/****************************************************************************************************/
// class cBomb
/****************************************************************************************************/
cBomb::cBomb(int x, int y):cInteractive_Item(x,y,Game_Manager.pDisplay_Bomb,RAYON_BOMB,BOMB) 
{
	Time_Stamp = DXUtil_Timer( TIMER_GETAPPTIME );
};

/*--------------------------------------------------------------------------------------------------*/
void cBomb::Reset()
{
	Time_Stamp = DXUtil_Timer( TIMER_GETAPPTIME )-DELAY_BOMB;
}

/****************************************************************************************************/
// class cTeleporteur
/****************************************************************************************************/
cTeleporteur::cTeleporteur(int x, int y):cInteractive_Item(x,y,Game_Manager.pDisplay_Teleporteur,RAYON_TELEPORTEUR,TELEPORTEUR) 
{
};

/****************************************************************************************************/
// class cHologramme
/****************************************************************************************************/
cHologramme::cHologramme(int x, int y):cInteractive_Item(x,y,Game_Manager.pDisplay_Hologramme,RAYON_HOLOGRAMME,HOLOGRAMME) 
{
};

/****************************************************************************************************/
// class cRed_Trap
/****************************************************************************************************/
cRed_Trap::cRed_Trap(int x, int y):cInteractive_Item(x,y,Game_Manager.pDisplay_Red_Trap,RAYON_RED_TRAP,RED_TRAP) 
{
};

/****************************************************************************************************/
// class cBlue_Trap
/****************************************************************************************************/
cBlue_Trap::cBlue_Trap(int x, int y):cInteractive_Item(x,y,Game_Manager.pDisplay_Blue_Trap,RAYON_BLUE_TRAP,BLUE_TRAP) 
{
};

/****************************************************************************************************/
// class cGreen_trap
/****************************************************************************************************/
cGreen_Trap::cGreen_Trap(int x, int y):cInteractive_Item(x,y,Game_Manager.pDisplay_Green_Trap,RAYON_GREEN_TRAP,GREEN_TRAP) 
{
};

/****************************************************************************************************/
// class cCadeau
/****************************************************************************************************/
cCadeau::cCadeau(int x, int y, Cadeau_Type type):cInteractive_Item(x,y,Game_Manager.pDisplay_Cadeau,RAYON_CADEAU,CADEAU)
{
	Inside = type;
}