/*------------------------------------   Includes   ---------------------------------------------*/
#include "display.h"
#include "geo_utils.h"
#include "errrors_display.h"



/*--------------------------------    Global variables   ----------------------------------------*/

/****************************************************************************************************/
// class cBitmap_Display_Def
/****************************************************************************************************/
void cBitmap_Display_Def::Display(int x, int y)
{
	HRESULT hr;
	if( FAILED(hr= g_pDisplay->Blt( x , y , g_pMessages->GetDDrawSurface() , &Bitmap_Rect) ))
	{
		Display_Fatal_Error(hWnd , "class cBitmap_Display_Def::void Display(int x, int y)",hr); 
		_DbgOut("display.h",49,hr,"class cBitmap_Display_Def::void Display(int x, int y)");
		PostQuitMessage(0);
	}
}


/****************************************************************************************************/
// class cSprite_Display_Def
/****************************************************************************************************/
void cSprite_Display_Def::Display(int x, int y)
{
	HRESULT hr;
	if( FAILED(hr= g_pDisplay->ColorKeyBlt( x , y , g_pSprites->GetDDrawSurface() , &Bitmap_Rect) ))
	{
		Display_Fatal_Error(hWnd , "class cSprite_Display_Def::void Display(int x, int y)",hr);
		_DbgOut("display.h",49,hr,"cSprite_Display_Def::display");
		PostQuitMessage(0);
	}
}

