/***************************************************************************************************/
/***************************************************************************************************/
//! \file draw_line.h
//! \brief Dfini des fonctions graphiques de trac de lignes
//!    
//!	Auteur : Adrien Auclair
//!
/***************************************************************************************************/
/***************************************************************************************************/
#ifndef DRAW_LINE_H
#define DRAW_LINE_H

/*------------------------------------   Includes   ---------------------------------------------*/
#include "ddutil.h"
#include "geo_utils.h"

/*------------------------------------  Prototypes  ---------------------------------------------*/
/// dessine la ligne ds la surface precise
extern void Draw_Line(CSurface * p_surface , cPoint2D & start,cPoint2D & goal, unsigned char color);

/// dessine la ligne ds le back buffer du display para
extern void Draw_Line(CDisplay* display , cPoint2D & start,cPoint2D & goal,unsigned char color);


#endif